changeset 1:6dacd853fc28

Add autogen.sh and fix typo in classpath.
author gnu_andrew@member.fsf.org
date Tue, 08 Jan 2008 23:25:20 +0000
parents ee9668fe7b4a
children c1c8a1548463
files ChangeLog autogen.sh patches/brandweg-jaxws-build.patch
diffstat 3 files changed, 44 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Tue Jan 08 23:06:23 2008 +0000
+++ b/ChangeLog	Tue Jan 08 23:25:20 2008 +0000
@@ -1,3 +1,10 @@
+2008-01-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>
+
+	* autogen.sh:
+	Added.
+	* patches/brandweg-jaxws-build.patch:
+	Fixed typo in lib/Makefile.am.
+	
 2008-01-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>
 
 	* AUTHORS,
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/autogen.sh	Tue Jan 08 23:25:20 2008 +0000
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+PROJECT=brandweg
+TEST_TYPE=-f
+FILE=configure.ac
+
+DIE=0
+
+test $TEST_TYPE $FILE || {
+	echo "You must run this script in the top-level $PROJECT directory"
+	exit 1
+}
+
+if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then
+        if test -z "$*"; then
+                echo "I am going to run ./configure with no arguments - if you wish "
+                echo "to pass any to it, please specify them on the $0 command line."
+        fi
+fi
+
+autoreconf --force --install --warnings=no-portability || exit $?
+
+cd $ORIGDIR || exit $?
+
+if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then
+        $srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
+
+        echo 
+        echo "Now type 'make' to compile $PROJECT."
+fi
--- a/patches/brandweg-jaxws-build.patch	Tue Jan 08 23:06:23 2008 +0000
+++ b/patches/brandweg-jaxws-build.patch	Tue Jan 08 23:25:20 2008 +0000
@@ -24,7 +24,7 @@
  sinclude $(JAVA_DEPEND)
  
 -compile_classpath = $(vm_classes):$(top_srcdir):$(top_srcdir)/external/w3c_dom:$(top_srcdir)/external/sax:$(top_srcdir)/external/relaxngDatatype:$(top_srcdir)/external/jsr166:.:$(USER_CLASSLIB):$(PATH_TO_ESCHER)
-+compile_classpath = $(vm_classes):$(top_srcdir):$(top_srcdir)/external/w3c_dom:$(top_srcdir)/external/sax:$(top_srcdir)/external/relaxngDatatype:$(top_srcdir)/external/jsr166:$(top_srcdir)/external/jaxws.:$(USER_CLASSLIB):$(PATH_TO_ESCHER)
++compile_classpath = $(vm_classes):$(top_srcdir):$(top_srcdir)/external/w3c_dom:$(top_srcdir)/external/sax:$(top_srcdir)/external/relaxngDatatype:$(top_srcdir)/external/jsr166:$(top_srcdir)/external/jaxws:.:$(USER_CLASSLIB):$(PATH_TO_ESCHER)
  
  # handling source to bytecode compiler programs like gcj, jikes  and kjc
  if FOUND_ECJ